diff --git a/src/image.c b/src/image.c
index 733e44f..5eada36 100644
--- a/src/image.c
+++ b/src/image.c
@@ -881,6 +881,11 @@ void drawsummary(IMAGECONTENT *ic, int type, int rate)
 		return;
 	}
 
+	if (datainfo.count == 0) {
+		printf("Warning: No data fetched.\n");
+		return;
+	}
+
 	if (datalist->next == NULL) {
 		data_current = datalist;
 	} else {
@@ -1011,6 +1016,11 @@ void drawsummary(IMAGECONTENT *ic, int type, int rate)
 		return;
 	}
 
+	if (datainfo.count == 0) {
+		printf("Warning: No data fetched.\n");
+		return;
+	}
+
 	if (datalist->next == NULL) {
 		data_current = datalist;
 	} else {
